import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (l, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, s) : t, c = l.length - 1, p; c >= 0; c--)
    (p = l[c]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--lockLarge", this.class = "c-pieIcon c-pieIcon--lockLarge", this.name = "IconLockLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--lockLarge"><path d="M23.875 14.25h-1.75v-3.5a6.125 6.125 0 1 0-12.25 0v3.5h-1.75v-3.5a7.875 7.875 0 0 1 15.75 0v3.5Z"></path><path d="M16 29.125a18.209 18.209 0 0 1-11.043-3.692l-.332-.263V13.375h22.75V25.17l-.332.262A17.92 17.92 0 0 1 16 29.126Zm-9.625-4.804A16.625 16.625 0 0 0 16 27.375a16.267 16.267 0 0 0 9.625-3.054v-9.196H6.375v9.196Z"></path><path d="M16.875 17.75h-1.75V23h1.75v-5.25Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  v("icon-lock-large")
], o);
export {
  o as IconLockLarge
};
